function generate(id, text = 'Загрузка') {
    // Поиск файла со стилем индикатора загрузки
    const file = document.querySelector('[href="/css/loading.css"]');

    if (file === null) {
        // Не загружен файл

        // Запись ссылки на файл
        let link = document.createElement("link");
        link.href = '/css/loading.css';
        link.rel = "stylesheet";
        document.getElementsByTagName("head")[0].appendChild(link);
    }

    if (typeof id === 'string', typeof text === 'string') {
        // Получены необходимые параметры

        // Инициализация оболочки
        let wrap = document.createElement("p");
        wrap.id = 'loading_' + id;
        wrap.classList.add('my-2', 'd-flex', 'justify-content-center');

        // Инициализация иконки
        let icon = document.createElement('i');
        icon.classList.add('loading', 'mr-2');

        // Инициализация архитектуры
        wrap.appendChild(icon);
        wrap.append(text);

        return wrap
    }
}
